import config from "config";
import client from "lib/client";
import { getRandomInt } from "lib/utils";

export class GreetingService {
	private greetContent = ["HALLOOOO"] as const;
	private sleepContent = ["zzzzZZ..", "*schnarch*"] as const;
	getContent(asleep: boolean) {
		if (asleep) {
			return this.sleepContent[getRandomInt(0, this.sleepContent.length - 1)];
		}

		return this.greetContent[getRandomInt(0, this.greetContent.length - 1)];
	}

	async greet() {
		const channels = client.channels;

		const channel = channels.cache.get(config.discord.channelId);

		if (channel?.isTextBased && channel?.isSendable()) {
			await channel.send({ content: "HALLOOOO" });
		}
	}

	async sleep() {
		const channels = client.channels;

		const channel = channels.cache.get(config.discord.channelId);

		if (channel?.isTextBased && channel?.isSendable()) {
			await channel.send({ content: this.getContent(true) });
		}
	}
}
